Bug 176257 - installonlyn disregards dependencies
installonlyn disregards dependencies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2005-12-20 12:00 EST by Ville Skyttä
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 23:51:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch (3.04 KB, patch)
2006-03-02 20:18 EST, Jeremy Katz
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2005-12-20 12:00:03 EST
installonlyn seems to disregard dependencies in yum-2.5.0-4:

Initial state:

    $ uname -r
    2.6.14-1.1756_FC5
    $ rpm -q kernel
    kernel-2.6.14-1.1756_FC5
    kernel-2.6.14-1.1773_FC5
    $ rpm -e kernel-2.6.14-1.1773_FC5
    error: Failed dependencies:
            kernel-i686 = 2.6.14-1.1773_FC5 is needed by (installed) 
                   kmod-thinkpad-5.8-3.2.6.14_1.1773_FC5.i686

yum update:

    $ sudo yum update
    [...]
    Installing:
     kernel                  i686       2.6.14-1.1776_FC5  development    13 M
    Removing:
     kernel                  i686       2.6.14-1.1773_FC5  installed      33 M
    [...]
    Removed: kernel.i686 0:2.6.14-1.1773_FC5
    Installed: kernel.i686 0:2.6.14-1.1776_FC5
    Complete!

End state:

    $ rpm -q kmod-thinkpad
    kmod-thinkpad-5.8-3.2.6.14_1.1773_FC5
    $ rpm -q kernel
    kernel-2.6.14-1.1756_FC5
    kernel-2.6.14-1.1776_FC5
    $ rpm -qR kmod-thinkpad | grep kernel-i686
    kernel-i686 = 2.6.14-1.1773_FC5
    $ rpm -q --whatprovides kernel-i686
    kernel-2.6.14-1.1756_FC5
    kernel-2.6.14-1.1776_FC5
    $ rpm -q --provides kernel | grep kernel-i686
    kernel-i686 = 2.6.14-1.1756_FC5
    kernel-i686 = 2.6.14-1.1776_FC5

Oops.  The 2.6.14-1.1773_FC5 kernel should not have been removed; doing so broke
kmod-thinkpad's dependencies.
Comment 1 Seth Vidal 2005-12-20 12:02:03 EST
rpm -Va --nofiles --nomd5

does kmod-thinkpad report a broken dep?

Comment 2 Ville Skyttä 2005-12-20 12:12:57 EST
$ rpm -Va --nofiles --nomd5
Unsatisfied dependencies for kmod-thinkpad-5.8-3.2.6.14_1.1773_FC5.i686:
kernel-i686 = 2.6.14-1.1773_FC5
Comment 3 Ville Skyttä 2006-01-21 11:17:33 EST
Any news to share on this?
Comment 4 Jeremy Katz 2006-01-22 18:58:45 EST
Given that the plugin runs after depresolve, I know what's going on, just
haven't had round 'tuits to work on fixing yet with trying to get test2 out and
travel.  It's on FC5Blocker mostly so I can ensure that I don't drop it.
Comment 5 Jeremy Katz 2006-03-02 20:18:59 EST
Created attachment 125577 [details]
patch

Patch sent to yum-devel to make this work nicely.  I'll probably build a new
package later tonight or tomorrow
Comment 6 Jeremy Katz 2006-03-06 23:51:00 EST
Fixed in 2.6.0

Note You need to log in before you can comment on or make changes to this bug.